Name:          evo-inflector
Version:       1.2.1
Release:       %mkrel 7
Summary:       Implements English pluralization algorithm
Group:         Development/Java
License:       ASL 2.0
URL:           https://github.com/atteo/evo-inflector
Source0:       https://github.com/atteo/evo-inflector/archive/%{version}.tar.gz
# Test deps
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local
BuildArch:     noarch

%description
Evo Inflector implements English pluralization algorithm
based on Damian Conway's paper "An Algorithmic Approach to
English Pluralization".

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

# org.atteo:parent:pom:1.11
%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.atteo</groupId>"

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Thu May 23 2024 ns80 <ns80> 1.2.1-7.mga10
+ Revision: 2066566
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.2.1-6.mga9
+ Revision: 1827283
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.2.1-5.mga8
+ Revision: 1489538
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.1-4.mga7
+ Revision: 1260747
- Mageia 7 Mass Rebuild

* Thu Mar 03 2016 neoclust <neoclust> 1.2.1-3.mga6
+ Revision: 985114
- imported package evo-inflector


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 03 2014 gil cattaneo <puntogil@libero.it> 1.2.1-1
- initial rpm
